Previous 1 2 Next 17 Replies Latest reply: Dec 12, 2012 1:57 PM by noondaywitch
DanielBonnell Level 1 Level 1

I currently have Snow Leopard 10.6.8 and I want to upgrade to Lion 7.4. I see no upgrades available to get there. Can someone help me?


iMac
  • roam Level 6 Level 6

    I believe you get it through the Mac App store. It is not  a free update, it is an upgrade and will cost some $.

     

    Message was edited by: roam - the $ amount was deleted as it varies from country to country.

  • WZZZ Level 6 Level 6
    expertise.macosx
    Mac OS X

    What's the rush? I suggest waiting until the bugs are out of early releases.

  • roam Level 6 Level 6

    What's the rush?

    Adrenalin?

     

    I usually upgrade about 2 years after the release. Seriously, ... I have just moved to 10.6

  • WZZZ Level 6 Level 6
    expertise.macosx
    Mac OS X

    Looks like I may not ever move off 10.6. Although, just out of curiosity, I might try out ML on an external at some point. It has built in Twitter. What is Twitter?

  • FatMac>MacPro Level 5 Level 5

    DanielBonnell wrote:

     

    I currently have Snow Leopard 10.6.8 and I want to upgrade to Lion 7.4. I see no upgrades available to get there. Can someone help me?

    Lion has been completely replaced by Mountain Lion at the App Store even for Mac which can't run ML. It looks like you'll either have to jump two versions or find the USB Thumb Drive installer that Apple at least used to sell for Lion installations.

  • WZZZ Level 6 Level 6
    expertise.macosx
    Mac OS X

    I may not have understood. But are you saying that Lion is a prerequisite for ML? If so, this is not true. You can get to the App Store from 10.6.8 and get ML directly.

  • FatMac>MacPro Level 5 Level 5

    WZZZ wrote:

     

    I may not have understood. But are you saying that Lion is a prerequisite for ML? If so, this is not true. You can get to the App Store from 10.6.8 and get ML directly.

    No, I was saying that Lion is no longer available for purchase and download. I've been answering other threads from people whose Macs can't go beyond Lion and Lion isn't available at the App Store to them either any more. Also, it's never wise to start with the very first version of anything so I've assumed that anyone looking for Lion is looking for only Lion. But I could be wrong so thanks for clarifying any misunderstanding.

  • WZZZ Level 6 Level 6
    expertise.macosx
    Mac OS X

    Maybe they've pulled Lion temporarily in order to clear server bandwidth for the expected feeding frenzy over ML?

  • FatMac>MacPro Level 5 Level 5

    WZZZ wrote:

     

    Maybe they've pulled Lion temporarily in order to clear server bandwidth for the expected feeding frenzy over ML?

    There's always that possibility but I suspect that any Lion purchases today will be just a drop in the bucket. Still, there really ought to be some provision for those whose Macs can't go beyond Lion to upgrade since continued Snow Leopard support is now in question (the reason I finally moved to Lion).

     

    There are a lot of people complaining that their free upgrade redeem codes for ML aren't working so I bet keeping Lion available is way down on Apple's to-do list.

  • varjak paw Level 10 Level 10

    I would think that possible except that the USB thumb drive installer for 10.7 Lion has also been removed from the Apple Store. So it seems likely that Apple has removed Lion from sale completely and that anyone who has not upgraded and who cannot upgrade to Mountain Lion may be out of luck. Time will tell.

     

    Regards.

  • noondaywitch Level 6 Level 6

    The same appears to be the case for Snow Leopard; no more DVDs available from any Apple source.

  • varjak paw Level 10 Level 10

    Snow Leopard disks will probably still be available from the Apple Store if one calls them. That's been the case for 10.5 Leopard; Apple pulled it from the Apple Store web pages a long while back, but at least until recently it was still possible to purchase if you called.


    Regards.

  • noondaywitch Level 6 Level 6

    Could be. Worth a punt anyway.

  • garymac123 Level 1 Level 1

    No  luck // apple has decided that you and I and many (thousands?) others that have certain early intel core 2 duo machines ( have a recently purchased 24" iMac ) will not be able to purchase the latest OSs that will allow useage of the cloud.  Makes me doubly angry as I just purchased an iPad that I wanted to use with 10.7 or 10.8.

Previous 1 2 Next